signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
signonidentity.cpp File Reference
`#include <iostream>`
`#include <QVariantMap>`
`#include "signond-common.h"`
`#include "signonidentity.h"`
`#include "signonui_interface.h"`
`#include "SignOn/uisessiondata.h"`
`#include "SignOn/uisessiondata_priv.h"`
`#include "signoncommon.h"`
`#include "accesscontrolmanagerhelper.h"`
`#include "signonidentityadaptor.h"`
`#include "signonidentity.moc"`
Include dependency graph for signonidentity.cpp:

Go to the source code of this file.

## Namespaces
| SignonDaemonNS

## Macros
#define | SIGNON_RETURN_IF_CAM_UNAVAILABLE(_ret_arg_)

## Macro Definition Documentation

#define SIGNON_RETURN_IF_CAM_UNAVAILABLE | ( |  | _ret_arg_ | ) |

Value:
do { \
if (!(CredentialsAccessManager::instance()->credentialsSystemOpened())) { \
sendErrorReply(internalServerErrName, \
internalServerErrStr + \
QLatin1String("Could not access Signon Database."));\
return _ret_arg_; \
} \
} while(0)
SignonDaemonNS::internalServerErrName
const QString internalServerErrName
Definition: signondaemon.cpp:244
SignonDaemonNS::internalServerErrStr
const QString internalServerErrStr
Definition: signondaemon.cpp:245

Definition at line 40 of file signonidentity.cpp.

Referenced by SignonDaemonNS::SignonIdentity::addReference(), SignonDaemonNS::SignonIdentity::getInfo(), SignonDaemonNS::SignonIdentity::remove(), SignonDaemonNS::SignonIdentity::removeReference(), SignonDaemonNS::SignonIdentity::requestCredentialsUpdate(), SignonDaemonNS::SignonIdentity::store(), SignonDaemonNS::SignonIdentity::verifySecret(), and SignonDaemonNS::SignonIdentity::verifyUser().